"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_codegen_visitor_plugin_common_1 = require("graphql-codegen-visitor-plugin-common");
var flow_selection_set_to_object_1 = require("./flow-selection-set-to-object");
var graphql_codegen_flow_1 = require("graphql-codegen-flow");
var FlowDocumentsVisitor = /** @class */ (function (_super) {
    __extends(FlowDocumentsVisitor, _super);
    function FlowDocumentsVisitor(schema, config) {
        var _this = _super.call(this, config, {
            useFlowExactObjects: config.useFlowExactObjects || false,
            useFlowReadOnlyTypes: config.useFlowReadOnlyTypes || false
        }, schema) || this;
        _this.setSelectionSetHandler(new flow_selection_set_to_object_1.FlowSelectionSetToObject(_this.scalars, _this.schema, _this.convertName, _this.config.addTypename, _this.config));
        _this.setVariablesTransformer(new graphql_codegen_flow_1.FlowOperationVariablesToObject(_this.scalars, _this.convertName));
        return _this;
    }
    return FlowDocumentsVisitor;
}(graphql_codegen_visitor_plugin_common_1.BaseDocumentsVisitor));
exports.FlowDocumentsVisitor = FlowDocumentsVisitor;
//# sourceMappingURL=visitor.js.map